<?php 
class FRMViaje extends AppFormulario {
	
	protected $_url_traseditar = '/viaje/listado';
	
	public function init() {
		parent::init();
		$objeto = $this->getObjeto();
		$this->setAction('/viaje/editar/contrato/'.$objeto->getContrato().'/ida/'.$objeto->getIda().'/linea/'.$objeto->getLinea());
		$this->_url_traseditar = '/servicio/tareas/id/'.$objeto->getCodigoParaServicio();

		// campos
		$contacto = new EFHidden('contacto');
		$this->addElement($contacto);
				
		$cmp_origenOrden = new EFTexto('origenOrden');
		$cmp_origenOrden->setLabel('Orden');
		$this->addElement($cmp_origenOrden);

		
		$cmp_destinoOrden = new EFTexto('destinoOrden');
		$cmp_destinoOrden->setLabel('Orden');
		$this->addElement($cmp_destinoOrden);
		
		
		
		
		
		$cmp_nif = new EFTexto('nif');
		$cmp_nif->setLabel('NIF');
		
		$ev_validar = new EVAccion(EVAccion::EV_FOCUSOUT, 'validarnif');
		$ev_validar->setEnviaFormulario(true);
		$cmp_nif->addEvento($ev_validar);
		
		
		
		$this->addElement($cmp_nif);
		
		
		$cmp_nombre = new EFTexto('pasajeroNombre');
		$cmp_nombre->setLabel('Nombre');
		$this->addElement($cmp_nombre);
		
		$cmp_telefono = new EFTexto('telefono');
		$cmp_telefono->setLabel('Teléfono');
		$this->addElement($cmp_telefono);
		
		$cmp_telefono2 = new EFTexto('telefono2');
		$cmp_telefono2->setLabel('Teléfono 2');
		$this->addElement($cmp_telefono2);
		
		$cmp_movil = new EFTexto('movil');
		$cmp_movil->setLabel('Móvil');
		$this->addElement($cmp_movil);
		
		$cmp_origenDireccion = new EFTextArea('origenDireccion');
		$cmp_origenDireccion->setAttrib('rows', 3);
		$cmp_origenDireccion->setLabel('Dirección');
		$this->addElement($cmp_origenDireccion);
		
		
		
		$cmp_destinoDireccion = new EFTextArea('destinoDireccion');
		$cmp_destinoDireccion->setAttrib('rows', 3);
		$cmp_destinoDireccion->setLabel('Dirección');
		$this->addElement($cmp_destinoDireccion);
		
		
		$cmp_origenFechaPrevista = new EFFecha('origenFechaPrevista');
		$cmp_origenFechaPrevista->setLabel('F.Prevista ');
		$this->addElement($cmp_origenFechaPrevista);
		
		
		$cmp_origenHoraPrevista = new EFTexto('origenHoraPrevista');
		$cmp_origenHoraPrevista->setLabel('Hora');
		$this->addElement($cmp_origenHoraPrevista);
		
		$cmp_origenFechaRecogido = new EFFecha('origenFechaRecogido');
		$cmp_origenFechaRecogido->setLabel('F.Recogica');
		$this->addElement($cmp_origenFechaRecogido);
		
		
		
		$cmp_origenHoraRecogido = new EFTexto('origenHoraRecogido');
		$cmp_origenHoraRecogido->setLabel('Hora');
		$this->addElement($cmp_origenHoraRecogido);
		
		$cmp_destinoFechaDejado = new EFFecha('destinoFechaDejado');
		$cmp_destinoFechaDejado->setLabel('Fecha');
		$this->addElement($cmp_destinoFechaDejado);
		
		
		$cmp_destinoHoraDejado = new EFTexto('destinoHoraDejado');
		$cmp_destinoHoraDejado->setLabel('Hora');
		$this->addElement($cmp_destinoHoraDejado);
		
		$cmp_personasCantidad = new EFTexto('personasCantidad');
		$cmp_personasCantidad->setLabel('Nº personas');
		$this->addElement($cmp_personasCantidad);
		$eventoImporte = new EVGeneral($cmp_personasCantidad, '', EVGeneral::EV_FOCUSOUT, '$("#personasImporte").val($("#personasPrecio").val() * $("#personasCantidad").val() );');
		
		
		$cmp_personasPrecio = new EFTexto('personasPrecio');
		$cmp_personasPrecio->setLabel('Precio');
		$this->addElement($cmp_personasPrecio);
		$eventoImporte2 = new EVGeneral($cmp_personasPrecio, '', EVGeneral::EV_FOCUSOUT, '$("#personasImporte").val($("#personasPrecio").val() * $("#personasCantidad").val() );');
		
		$cmp_personasImporte = new EFTexto('personasImporte');
		$cmp_personasImporte->setAttrib('readonly', true);
		$cmp_personasImporte->setLabel('Importe');
		$this->addElement($cmp_personasImporte);
		
		
		$cmp_paquetesCantidad = new EFTexto('paquetesCantidad');
		$cmp_paquetesCantidad->setLabel('Nº Paquetes');
		$this->addElement($cmp_paquetesCantidad);
		
		
		$cmp_paquetesImporte = new EFTexto('paquetesImporte');
		$cmp_paquetesImporte->setLabel('Importe');
		$this->addElement($cmp_paquetesImporte);
		
		
		$cmp_pagado = new EFTexto('pagado');
		$cmp_pagado->setLabel('Pagado');
		$this->addElement($cmp_pagado);
		
		
		$cmp_formaPago = new EFTexto('formaPago');
		$cmp_formaPago->setLabel('Forma pago');
		$this->addElement($cmp_formaPago);
		
		$cmp_observaciones = new EFTextArea('observaciones');
		$cmp_observaciones->setLabel('Observaciones');
		$cmp_observaciones->setAttrib('rows', '4');
		$this->addElement($cmp_observaciones);
		
		
		
		$btGuardar = new EFSubmit('guardar');
		$btGuardar->setValue('Guardar');
		$this->addElement($btGuardar);
		
		
		
		$v_pasajero = new vstContenedor('Pasajero');
		
		$v_pasajero->addElement($cmp_nif);
		$v_pasajero->addElement($cmp_nombre);
		$v_pasajero->addElement($cmp_telefono);
		$v_pasajero->addElement($cmp_telefono2);
		$v_pasajero->addElement($cmp_movil);
		$this->addElementoVista($v_pasajero);
				
		// Origen
		$v_origen = new vstContenedor('Origen');
		
		$v_origen->addElement($cmp_origenDireccion);
		$v_origen->addElement($cmp_origenOrden);
		$v_origen->addElement($cmp_origenFechaPrevista, 8);
		$v_origen->addElement($cmp_origenHoraPrevista);
		$v_origen->addElement($cmp_origenFechaRecogido, 8);
		$v_origen->addElement($cmp_origenHoraRecogido);

		$this->addElementoVista($v_origen);

		// Destino
		
		$v_destino = new vstContenedor('Destino');
		$v_destino->addElement($cmp_destinoDireccion);
		$v_destino->addElement($cmp_destinoOrden);
		$v_destino->addElement($cmp_destinoFechaDejado, 8);
		$v_destino->addElement($cmp_destinoHoraDejado);
				
		$this->addElementoVista($v_destino);
		
		// Económicco
		$v_economico = new vstContenedor('Económico');
		$v_economico->addElement($cmp_personasCantidad);
		$v_economico->addElement($cmp_personasPrecio);
		$v_economico->addElement($cmp_personasImporte);
		$v_economico->addElement($cmp_paquetesCantidad);
		$v_economico->addElement($cmp_paquetesImporte);
		$v_economico->addElement($cmp_observaciones);
		//$v_economico->addElement($cmp_pagado);
		//$v_economico->addElement($cmp_formaPago);
		$v_economico->addElement($btGuardar);
		
		$this->addElementoVista($v_economico);
		
		
		
	}
	
	public function __construct(ServicioViaje $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
	
	}
	public function validarnifAccion($datos){
		$potencial = Potencial::getByDNI($datos['nif']);
		$objeto = $this->getObjeto();
		AppAjax::esAjax(true);
		if($potencial !==false){
			AppAjax::setValores($this->identificadorScript().' #pasajeroNombre', $potencial->getNombre());
			AppAjax::setValores($this->identificadorScript().' #telefono', $potencial->getTelefono());
			AppAjax::setValores($this->identificadorScript().' #telefono2', $potencial->getTelefono2());
			AppAjax::setValores($this->identificadorScript().' #movil', $potencial->getMovil());
			AppAjax::setValores($this->identificadorScript().' #contacto', $potencial->id);
			if ($objeto->getIda()==1){
				AppAjax::setValores($this->identificadorScript().' #origenDireccion', $potencial->getDireccionFrancia());
				AppAjax::setValores($this->identificadorScript().' #destinoDireccion', $potencial->getDireccionEspana());
				// echo 'Francia - España';
			} else {
				AppAjax::setValores($this->identificadorScript().' #origenDireccion', $potencial->getDireccionEspana());
				AppAjax::setValores($this->identificadorScript().' #destinoDireccion', $potencial->getDireccionFrancia());
				//echo 'España - francia';
			}
				
		}
		
		
	}
	
}